Bug 136279 - up2date gives list of files it cannot install
up2date gives list of files it cannot install
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 00:17 EDT by Anchor Systems Managed Hosting
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anchor Systems Managed Hosting 2004-10-19 00:17:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
up2date options --showall or --show-available list package names
which cannot be used as input for installation. For example:

$ up2date --showall|grep libxml
libxml-1.8.17-9.1.i386
libxml-devel-1.8.17-9.1.i386
libxml2-2.5.10-6.i386
libxml2-devel-2.5.10-6.i386
libxml2-python-2.5.10-6.i386
perl-libxml-enno-1.02-29.noarch
perl-libxml-perl-0.07-28.noarch
$ up2date perl-libxml-perl-0.07-28.noarch

Fetching Obsoletes list for channel: rhel-i386-es-3...

Fetching Obsoletes list for channel: rhel-i386-es-3-extras...

Fetching Obsoletes list for channel: rhel-i386-es-3-devsuite...

Fetching Obsoletes list for channel: rhel-3-es-i386-rhaps-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------


The following packages you requested were not found:
perl-libxml-perl-0.07-28.noarch


This will work if I run up2date perl-libxml-perl, but that is pretty
poor usability.

Version-Release number of selected component (if applicable):
up2date-4.2.38-1

How reproducible:
Always

Steps to Reproduce:
1. up2date --showall
2. Choose any line
3. Feed as argument to up2date
    

Actual Results:  Package not found.

Expected Results:  For package to be installed.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:15:49 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.